package com.mortals.xhx.modules.information.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:Information
* date: 2021-8-2 15:06:55
*/
public class InformationQuery extends InformationEntity{
    private static final long serialVersionUID = 1627888015327L;
    /** 开始 主键ID,主键,业务生成 */
    private Long idStart;

    /** 结束 主键ID,主键,业务生成 */
    private Long idEnd;

    /** 增加 主键ID,主键,业务生成 */
    private Long idIncrement;

    /** 主键ID,主键,业务生成 */
    private List <Long> idList;


    /** 实施清单名称 */
    private List<String> eventNameList;

    /** 实施清单编码 */
    private List<String> eventCodeList;

    /** 开始 申请人属性,1：法人 2：自然人 */
    private Integer applicantAttributesStart;

    /** 结束 申请人属性,1：法人 2：自然人 */
    private Integer applicantAttributesEnd;

    /** 增加 申请人属性,1：法人 2：自然人 */
    private Integer applicantAttributesIncrement;

    /** 申请人属性,1：法人 2：自然人 */
    private List <Integer> applicantAttributesList;

    /** 申请人证件类型 */
    private List<String> applicantCardTypeList;

    /** 申请人姓名 */
    private List<String> applicantNameList;

    /** 申请人证件号码 */
    private List<String> applicantCardNumbeList;

    /** 申请人手机号码 */
    private List<String> applicantPhoneNumberList;

    /** 申请人性别 */
    private List<String> applicantSexList;

    /** 机构名称 */
    private List<String> organizationNameList;

    /** 机构地址 */
    private List<String> organizationAddressList;

    /** 机构性质 */
    private List<String> organizationStructureList;

    /** 机构证件类型 */
    private List<String> organizationCardTypeList;

    /** 机构证件编码 */
    private List<String> organizationCardNumberList;

    /** 机构代表人姓名,法人姓名 */
    private List<String> legalPersonList;
    /** 开始 流程开始时间 */
    private String processStartedTimeStart;

    /** 结束 流程开始时间 */
    private String processStartedTimeEnd;
    /** 开始 流程结束时间 */
    private String processStopTimeStart;

    /** 结束 流程结束时间 */
    private String processStopTimeEnd;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 地区编码 */
    private List<String> areaCodeList;

    /** 部门编码 */
    private List<String> deptCodeList;

    /** 办件状态 */
    private List<String> bizStatusList;

    /** 办件类型(默认0 网络办件) */
    private List<String> doThingPropertyList;

    /** 办件名称 */
    private List<String> affairNameList;

    /** 申请方式默认 1 网上申请 */
    private List<String> applyTypeList;

    /** 是否收费 */
    private List<String> isChargeList;

    /** 申请件数；默认传1 */
    private List<String> applyNumList;

    /** 取件方式 默认1现场取件 */
    private List<String> pickupTypeList;

    /** 节点类型,(BusiType_1 申请受理\r\nBusiType_13 审核\r\nBusiType_14 收费\r\nBusiType_8 办结\r\nBusiType_6 制证\r\nBusiType_9 取件) */
    private List<String> nodeTypeList;

    /** 节点处理人姓名 */
    private List<String> curHandlerNameList;

    /** 节点处理人id (默认-1) */
    private List<String> addUserIdList;

    /** 是否同意(默认 1是) */
    private List<String> auditAdviceList;

    /** 拟办意见(默认 同意) */
    private List<String> auditRemarkList;
    /** 开始 流程开始时间 */
    private String genTimeStart;

    /** 结束 流程开始时间 */
    private String genTimeEnd;
    /** 开始 流程结束时间 */
    private String completeTimeStart;

    /** 结束 流程结束时间 */
    private String completeTimeEnd;

    /** 是否推送（0 否 1是） */
    private List<String> isReportList;

    /** 是否成功（0 否 1是） */
    private List<String> isSuccessList;

    /** 推送失败原因 */
    private List<String> failReasonList;

    /** 开始 失败次数 */
    private Integer failTimesStart;

    /** 结束 失败次数 */
    private Integer failTimesEnd;

    /** 增加 失败次数 */
    private Integer failTimesIncrement;

    /** 失败次数 */
    private List <Integer> failTimesList;

    /** 联系人姓名 */
    private List<String> contactNameList;

    /** 联系人证件号码 */
    private List<String> contactIdCardList;

    /** 联系人证件类型 */
    private List<String> contactCardTypeList;

    /** 联系人联系方式 */
    private List<String> contactPhoneList;

    /** 受理人姓名 */
    private List<String> acceptNameList;

    /** 受理人身份证号码 */
    private List<String> acceptIdList;

    /** 受理人手机号 */
    private List<String> acceptPhoneList;

    /** 系统编码 */
    private List<String> systemCodeList;

    /** 办件编码 */
    private List<String> officeCodeList;

    /** 办件业务流水号 */
    private List<String> seriesNumberList;

    /** 流程状态名称 */
    private List<String> processStatusNameList;

    /** 流程状态编码 */
    private List<String> processStatusCodeList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<InformationQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<InformationQuery> andConditionList;


    public InformationQuery(){
    }

    /**
    * 获取 开始 主键ID,主键,业务生成
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键ID,主键,业务生成
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID,主键,业务生成
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键ID,主键,业务生成
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID,主键,业务生成
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID,主键,业务生成
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID,主键,业务生成
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键ID,主键,业务生成
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 实施清单名称
    * @return eventNameList
    */
    public List<String> getEventNameList(){
        return this.eventNameList;
    }

    /**
    * 设置 实施清单名称
    * @param eventNameList
    */
    public void setEventNameList(List<String> eventNameList){
        this.eventNameList = eventNameList;
    }
    /**
    * 获取 实施清单编码
    * @return eventCodeList
    */
    public List<String> getEventCodeList(){
        return this.eventCodeList;
    }

    /**
    * 设置 实施清单编码
    * @param eventCodeList
    */
    public void setEventCodeList(List<String> eventCodeList){
        this.eventCodeList = eventCodeList;
    }
    /**
    * 获取 开始 申请人属性,1：法人 2：自然人
    * @return applicantAttributesStart
    */
    public Integer getApplicantAttributesStart(){
        return this.applicantAttributesStart;
    }

    /**
    * 设置 开始 申请人属性,1：法人 2：自然人
    * @param applicantAttributesStart
    */
    public void setApplicantAttributesStart(Integer applicantAttributesStart){
        this.applicantAttributesStart = applicantAttributesStart;
    }

    /**
    * 获取 结束 申请人属性,1：法人 2：自然人
    * @return applicantAttributesEnd
    */
    public Integer getApplicantAttributesEnd(){
        return this.applicantAttributesEnd;
    }

    /**
    * 设置 结束 申请人属性,1：法人 2：自然人
    * @param applicantAttributesEnd
    */
    public void setApplicantAttributesEnd(Integer applicantAttributesEnd){
        this.applicantAttributesEnd = applicantAttributesEnd;
    }

    /**
    * 获取 增加 申请人属性,1：法人 2：自然人
    * @return applicantAttributesIncrement
    */
    public Integer getApplicantAttributesIncrement(){
        return this.applicantAttributesIncrement;
    }

    /**
    * 设置 增加 申请人属性,1：法人 2：自然人
    * @param applicantAttributesIncrement
    */
    public void setApplicantAttributesIncrement(Integer applicantAttributesIncrement){
        this.applicantAttributesIncrement = applicantAttributesIncrement;
    }

    /**
    * 获取 申请人属性,1：法人 2：自然人
    * @return applicantAttributesList
    */
    public List<Integer> getApplicantAttributesList(){
        return this.applicantAttributesList;
    }

    /**
    * 设置 申请人属性,1：法人 2：自然人
    * @param applicantAttributesList
    */
    public void setApplicantAttributesList(List<Integer> applicantAttributesList){
        this.applicantAttributesList = applicantAttributesList;
    }
    /**
    * 获取 申请人证件类型
    * @return applicantCardTypeList
    */
    public List<String> getApplicantCardTypeList(){
        return this.applicantCardTypeList;
    }

    /**
    * 设置 申请人证件类型
    * @param applicantCardTypeList
    */
    public void setApplicantCardTypeList(List<String> applicantCardTypeList){
        this.applicantCardTypeList = applicantCardTypeList;
    }
    /**
    * 获取 申请人姓名
    * @return applicantNameList
    */
    public List<String> getApplicantNameList(){
        return this.applicantNameList;
    }

    /**
    * 设置 申请人姓名
    * @param applicantNameList
    */
    public void setApplicantNameList(List<String> applicantNameList){
        this.applicantNameList = applicantNameList;
    }
    /**
    * 获取 申请人证件号码
    * @return applicantCardNumbeList
    */
    public List<String> getApplicantCardNumbeList(){
        return this.applicantCardNumbeList;
    }

    /**
    * 设置 申请人证件号码
    * @param applicantCardNumbeList
    */
    public void setApplicantCardNumbeList(List<String> applicantCardNumbeList){
        this.applicantCardNumbeList = applicantCardNumbeList;
    }
    /**
    * 获取 申请人手机号码
    * @return applicantPhoneNumberList
    */
    public List<String> getApplicantPhoneNumberList(){
        return this.applicantPhoneNumberList;
    }

    /**
    * 设置 申请人手机号码
    * @param applicantPhoneNumberList
    */
    public void setApplicantPhoneNumberList(List<String> applicantPhoneNumberList){
        this.applicantPhoneNumberList = applicantPhoneNumberList;
    }
    /**
    * 获取 申请人性别
    * @return applicantSexList
    */
    public List<String> getApplicantSexList(){
        return this.applicantSexList;
    }

    /**
    * 设置 申请人性别
    * @param applicantSexList
    */
    public void setApplicantSexList(List<String> applicantSexList){
        this.applicantSexList = applicantSexList;
    }
    /**
    * 获取 机构名称
    * @return organizationNameList
    */
    public List<String> getOrganizationNameList(){
        return this.organizationNameList;
    }

    /**
    * 设置 机构名称
    * @param organizationNameList
    */
    public void setOrganizationNameList(List<String> organizationNameList){
        this.organizationNameList = organizationNameList;
    }
    /**
    * 获取 机构地址
    * @return organizationAddressList
    */
    public List<String> getOrganizationAddressList(){
        return this.organizationAddressList;
    }

    /**
    * 设置 机构地址
    * @param organizationAddressList
    */
    public void setOrganizationAddressList(List<String> organizationAddressList){
        this.organizationAddressList = organizationAddressList;
    }
    /**
    * 获取 机构性质
    * @return organizationStructureList
    */
    public List<String> getOrganizationStructureList(){
        return this.organizationStructureList;
    }

    /**
    * 设置 机构性质
    * @param organizationStructureList
    */
    public void setOrganizationStructureList(List<String> organizationStructureList){
        this.organizationStructureList = organizationStructureList;
    }
    /**
    * 获取 机构证件类型
    * @return organizationCardTypeList
    */
    public List<String> getOrganizationCardTypeList(){
        return this.organizationCardTypeList;
    }

    /**
    * 设置 机构证件类型
    * @param organizationCardTypeList
    */
    public void setOrganizationCardTypeList(List<String> organizationCardTypeList){
        this.organizationCardTypeList = organizationCardTypeList;
    }
    /**
    * 获取 机构证件编码
    * @return organizationCardNumberList
    */
    public List<String> getOrganizationCardNumberList(){
        return this.organizationCardNumberList;
    }

    /**
    * 设置 机构证件编码
    * @param organizationCardNumberList
    */
    public void setOrganizationCardNumberList(List<String> organizationCardNumberList){
        this.organizationCardNumberList = organizationCardNumberList;
    }
    /**
    * 获取 机构代表人姓名,法人姓名
    * @return legalPersonList
    */
    public List<String> getLegalPersonList(){
        return this.legalPersonList;
    }

    /**
    * 设置 机构代表人姓名,法人姓名
    * @param legalPersonList
    */
    public void setLegalPersonList(List<String> legalPersonList){
        this.legalPersonList = legalPersonList;
    }
    /**
    * 获取 开始 流程开始时间
    * @return processStartedTimeStart
    */
    public String getProcessStartedTimeStart(){
    return this.processStartedTimeStart;
    }

    /**
    * 设置 开始 流程开始时间
    * @param processStartedTimeStart
    */
    public void setProcessStartedTimeStart(String processStartedTimeStart){
    this.processStartedTimeStart = processStartedTimeStart;
    }

    /**
    * 获取 结束 流程开始时间
    * @return processStartedTimeEnd
    */
    public String getProcessStartedTimeEnd(){
    return this.processStartedTimeEnd;
    }

    /**
    * 设置 结束 流程开始时间
    * @param processStartedTimeEnd
    */
    public void setProcessStartedTimeEnd(String processStartedTimeEnd){
    this.processStartedTimeEnd = processStartedTimeEnd;
    }
    /**
    * 获取 开始 流程结束时间
    * @return processStopTimeStart
    */
    public String getProcessStopTimeStart(){
    return this.processStopTimeStart;
    }

    /**
    * 设置 开始 流程结束时间
    * @param processStopTimeStart
    */
    public void setProcessStopTimeStart(String processStopTimeStart){
    this.processStopTimeStart = processStopTimeStart;
    }

    /**
    * 获取 结束 流程结束时间
    * @return processStopTimeEnd
    */
    public String getProcessStopTimeEnd(){
    return this.processStopTimeEnd;
    }

    /**
    * 设置 结束 流程结束时间
    * @param processStopTimeEnd
    */
    public void setProcessStopTimeEnd(String processStopTimeEnd){
    this.processStopTimeEnd = processStopTimeEnd;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 地区编码
    * @return areaCodeList
    */
    public List<String> getAreaCodeList(){
        return this.areaCodeList;
    }

    /**
    * 设置 地区编码
    * @param areaCodeList
    */
    public void setAreaCodeList(List<String> areaCodeList){
        this.areaCodeList = areaCodeList;
    }
    /**
    * 获取 部门编码
    * @return deptCodeList
    */
    public List<String> getDeptCodeList(){
        return this.deptCodeList;
    }

    /**
    * 设置 部门编码
    * @param deptCodeList
    */
    public void setDeptCodeList(List<String> deptCodeList){
        this.deptCodeList = deptCodeList;
    }
    /**
    * 获取 办件状态
    * @return bizStatusList
    */
    public List<String> getBizStatusList(){
        return this.bizStatusList;
    }

    /**
    * 设置 办件状态
    * @param bizStatusList
    */
    public void setBizStatusList(List<String> bizStatusList){
        this.bizStatusList = bizStatusList;
    }
    /**
    * 获取 办件类型(默认0 网络办件)
    * @return doThingPropertyList
    */
    public List<String> getDoThingPropertyList(){
        return this.doThingPropertyList;
    }

    /**
    * 设置 办件类型(默认0 网络办件)
    * @param doThingPropertyList
    */
    public void setDoThingPropertyList(List<String> doThingPropertyList){
        this.doThingPropertyList = doThingPropertyList;
    }
    /**
    * 获取 办件名称
    * @return affairNameList
    */
    public List<String> getAffairNameList(){
        return this.affairNameList;
    }

    /**
    * 设置 办件名称
    * @param affairNameList
    */
    public void setAffairNameList(List<String> affairNameList){
        this.affairNameList = affairNameList;
    }
    /**
    * 获取 申请方式默认 1 网上申请
    * @return applyTypeList
    */
    public List<String> getApplyTypeList(){
        return this.applyTypeList;
    }

    /**
    * 设置 申请方式默认 1 网上申请
    * @param applyTypeList
    */
    public void setApplyTypeList(List<String> applyTypeList){
        this.applyTypeList = applyTypeList;
    }
    /**
    * 获取 是否收费
    * @return isChargeList
    */
    public List<String> getIsChargeList(){
        return this.isChargeList;
    }

    /**
    * 设置 是否收费
    * @param isChargeList
    */
    public void setIsChargeList(List<String> isChargeList){
        this.isChargeList = isChargeList;
    }
    /**
    * 获取 申请件数；默认传1
    * @return applyNumList
    */
    public List<String> getApplyNumList(){
        return this.applyNumList;
    }

    /**
    * 设置 申请件数；默认传1
    * @param applyNumList
    */
    public void setApplyNumList(List<String> applyNumList){
        this.applyNumList = applyNumList;
    }
    /**
    * 获取 取件方式 默认1现场取件
    * @return pickupTypeList
    */
    public List<String> getPickupTypeList(){
        return this.pickupTypeList;
    }

    /**
    * 设置 取件方式 默认1现场取件
    * @param pickupTypeList
    */
    public void setPickupTypeList(List<String> pickupTypeList){
        this.pickupTypeList = pickupTypeList;
    }
    /**
    * 获取 节点类型,(BusiType_1 申请受理\r\nBusiType_13 审核\r\nBusiType_14 收费\r\nBusiType_8 办结\r\nBusiType_6 制证\r\nBusiType_9 取件)
    * @return nodeTypeList
    */
    public List<String> getNodeTypeList(){
        return this.nodeTypeList;
    }

    /**
    * 设置 节点类型,(BusiType_1 申请受理\r\nBusiType_13 审核\r\nBusiType_14 收费\r\nBusiType_8 办结\r\nBusiType_6 制证\r\nBusiType_9 取件)
    * @param nodeTypeList
    */
    public void setNodeTypeList(List<String> nodeTypeList){
        this.nodeTypeList = nodeTypeList;
    }
    /**
    * 获取 节点处理人姓名
    * @return curHandlerNameList
    */
    public List<String> getCurHandlerNameList(){
        return this.curHandlerNameList;
    }

    /**
    * 设置 节点处理人姓名
    * @param curHandlerNameList
    */
    public void setCurHandlerNameList(List<String> curHandlerNameList){
        this.curHandlerNameList = curHandlerNameList;
    }
    /**
    * 获取 节点处理人id (默认-1)
    * @return addUserIdList
    */
    public List<String> getAddUserIdList(){
        return this.addUserIdList;
    }

    /**
    * 设置 节点处理人id (默认-1)
    * @param addUserIdList
    */
    public void setAddUserIdList(List<String> addUserIdList){
        this.addUserIdList = addUserIdList;
    }
    /**
    * 获取 是否同意(默认 1是)
    * @return auditAdviceList
    */
    public List<String> getAuditAdviceList(){
        return this.auditAdviceList;
    }

    /**
    * 设置 是否同意(默认 1是)
    * @param auditAdviceList
    */
    public void setAuditAdviceList(List<String> auditAdviceList){
        this.auditAdviceList = auditAdviceList;
    }
    /**
    * 获取 拟办意见(默认 同意)
    * @return auditRemarkList
    */
    public List<String> getAuditRemarkList(){
        return this.auditRemarkList;
    }

    /**
    * 设置 拟办意见(默认 同意)
    * @param auditRemarkList
    */
    public void setAuditRemarkList(List<String> auditRemarkList){
        this.auditRemarkList = auditRemarkList;
    }
    /**
    * 获取 开始 流程开始时间
    * @return genTimeStart
    */
    public String getGenTimeStart(){
    return this.genTimeStart;
    }

    /**
    * 设置 开始 流程开始时间
    * @param genTimeStart
    */
    public void setGenTimeStart(String genTimeStart){
    this.genTimeStart = genTimeStart;
    }

    /**
    * 获取 结束 流程开始时间
    * @return genTimeEnd
    */
    public String getGenTimeEnd(){
    return this.genTimeEnd;
    }

    /**
    * 设置 结束 流程开始时间
    * @param genTimeEnd
    */
    public void setGenTimeEnd(String genTimeEnd){
    this.genTimeEnd = genTimeEnd;
    }
    /**
    * 获取 开始 流程结束时间
    * @return completeTimeStart
    */
    public String getCompleteTimeStart(){
    return this.completeTimeStart;
    }

    /**
    * 设置 开始 流程结束时间
    * @param completeTimeStart
    */
    public void setCompleteTimeStart(String completeTimeStart){
    this.completeTimeStart = completeTimeStart;
    }

    /**
    * 获取 结束 流程结束时间
    * @return completeTimeEnd
    */
    public String getCompleteTimeEnd(){
    return this.completeTimeEnd;
    }

    /**
    * 设置 结束 流程结束时间
    * @param completeTimeEnd
    */
    public void setCompleteTimeEnd(String completeTimeEnd){
    this.completeTimeEnd = completeTimeEnd;
    }
    /**
    * 获取 是否推送（0 否 1是）
    * @return isReportList
    */
    public List<String> getIsReportList(){
        return this.isReportList;
    }

    /**
    * 设置 是否推送（0 否 1是）
    * @param isReportList
    */
    public void setIsReportList(List<String> isReportList){
        this.isReportList = isReportList;
    }
    /**
    * 获取 是否成功（0 否 1是）
    * @return isSuccessList
    */
    public List<String> getIsSuccessList(){
        return this.isSuccessList;
    }

    /**
    * 设置 是否成功（0 否 1是）
    * @param isSuccessList
    */
    public void setIsSuccessList(List<String> isSuccessList){
        this.isSuccessList = isSuccessList;
    }
    /**
    * 获取 推送失败原因
    * @return failReasonList
    */
    public List<String> getFailReasonList(){
        return this.failReasonList;
    }

    /**
    * 设置 推送失败原因
    * @param failReasonList
    */
    public void setFailReasonList(List<String> failReasonList){
        this.failReasonList = failReasonList;
    }
    /**
    * 获取 开始 失败次数
    * @return failTimesStart
    */
    public Integer getFailTimesStart(){
        return this.failTimesStart;
    }

    /**
    * 设置 开始 失败次数
    * @param failTimesStart
    */
    public void setFailTimesStart(Integer failTimesStart){
        this.failTimesStart = failTimesStart;
    }

    /**
    * 获取 结束 失败次数
    * @return failTimesEnd
    */
    public Integer getFailTimesEnd(){
        return this.failTimesEnd;
    }

    /**
    * 设置 结束 失败次数
    * @param failTimesEnd
    */
    public void setFailTimesEnd(Integer failTimesEnd){
        this.failTimesEnd = failTimesEnd;
    }

    /**
    * 获取 增加 失败次数
    * @return failTimesIncrement
    */
    public Integer getFailTimesIncrement(){
        return this.failTimesIncrement;
    }

    /**
    * 设置 增加 失败次数
    * @param failTimesIncrement
    */
    public void setFailTimesIncrement(Integer failTimesIncrement){
        this.failTimesIncrement = failTimesIncrement;
    }

    /**
    * 获取 失败次数
    * @return failTimesList
    */
    public List<Integer> getFailTimesList(){
        return this.failTimesList;
    }

    /**
    * 设置 失败次数
    * @param failTimesList
    */
    public void setFailTimesList(List<Integer> failTimesList){
        this.failTimesList = failTimesList;
    }
    /**
    * 获取 联系人姓名
    * @return contactNameList
    */
    public List<String> getContactNameList(){
        return this.contactNameList;
    }

    /**
    * 设置 联系人姓名
    * @param contactNameList
    */
    public void setContactNameList(List<String> contactNameList){
        this.contactNameList = contactNameList;
    }
    /**
    * 获取 联系人证件号码
    * @return contactIdCardList
    */
    public List<String> getContactIdCardList(){
        return this.contactIdCardList;
    }

    /**
    * 设置 联系人证件号码
    * @param contactIdCardList
    */
    public void setContactIdCardList(List<String> contactIdCardList){
        this.contactIdCardList = contactIdCardList;
    }
    /**
    * 获取 联系人证件类型
    * @return contactCardTypeList
    */
    public List<String> getContactCardTypeList(){
        return this.contactCardTypeList;
    }

    /**
    * 设置 联系人证件类型
    * @param contactCardTypeList
    */
    public void setContactCardTypeList(List<String> contactCardTypeList){
        this.contactCardTypeList = contactCardTypeList;
    }
    /**
    * 获取 联系人联系方式
    * @return contactPhoneList
    */
    public List<String> getContactPhoneList(){
        return this.contactPhoneList;
    }

    /**
    * 设置 联系人联系方式
    * @param contactPhoneList
    */
    public void setContactPhoneList(List<String> contactPhoneList){
        this.contactPhoneList = contactPhoneList;
    }
    /**
    * 获取 受理人姓名
    * @return acceptNameList
    */
    public List<String> getAcceptNameList(){
        return this.acceptNameList;
    }

    /**
    * 设置 受理人姓名
    * @param acceptNameList
    */
    public void setAcceptNameList(List<String> acceptNameList){
        this.acceptNameList = acceptNameList;
    }
    /**
    * 获取 受理人身份证号码
    * @return acceptIdList
    */
    public List<String> getAcceptIdList(){
        return this.acceptIdList;
    }

    /**
    * 设置 受理人身份证号码
    * @param acceptIdList
    */
    public void setAcceptIdList(List<String> acceptIdList){
        this.acceptIdList = acceptIdList;
    }
    /**
    * 获取 受理人手机号
    * @return acceptPhoneList
    */
    public List<String> getAcceptPhoneList(){
        return this.acceptPhoneList;
    }

    /**
    * 设置 受理人手机号
    * @param acceptPhoneList
    */
    public void setAcceptPhoneList(List<String> acceptPhoneList){
        this.acceptPhoneList = acceptPhoneList;
    }
    /**
    * 获取 系统编码
    * @return systemCodeList
    */
    public List<String> getSystemCodeList(){
        return this.systemCodeList;
    }

    /**
    * 设置 系统编码
    * @param systemCodeList
    */
    public void setSystemCodeList(List<String> systemCodeList){
        this.systemCodeList = systemCodeList;
    }
    /**
    * 获取 办件编码
    * @return officeCodeList
    */
    public List<String> getOfficeCodeList(){
        return this.officeCodeList;
    }

    /**
    * 设置 办件编码
    * @param officeCodeList
    */
    public void setOfficeCodeList(List<String> officeCodeList){
        this.officeCodeList = officeCodeList;
    }
    /**
    * 获取 办件业务流水号
    * @return seriesNumberList
    */
    public List<String> getSeriesNumberList(){
        return this.seriesNumberList;
    }

    /**
    * 设置 办件业务流水号
    * @param seriesNumberList
    */
    public void setSeriesNumberList(List<String> seriesNumberList){
        this.seriesNumberList = seriesNumberList;
    }
    /**
    * 获取 流程状态名称
    * @return processStatusNameList
    */
    public List<String> getProcessStatusNameList(){
        return this.processStatusNameList;
    }

    /**
    * 设置 流程状态名称
    * @param processStatusNameList
    */
    public void setProcessStatusNameList(List<String> processStatusNameList){
        this.processStatusNameList = processStatusNameList;
    }
    /**
    * 获取 流程状态编码
    * @return processStatusCodeList
    */
    public List<String> getProcessStatusCodeList(){
        return this.processStatusCodeList;
    }

    /**
    * 设置 流程状态编码
    * @param processStatusCodeList
    */
    public void setProcessStatusCodeList(List<String> processStatusCodeList){
        this.processStatusCodeList = processStatusCodeList;
    }

    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<InformationQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<InformationQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<InformationQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<InformationQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}